function Phi = min_functional(A,b,x,y);
% functional which is minimized by solution of Au=b
% by minimizing A'*A norm
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Phi = 0.5*(A(1,1)*x.^2 + (A(1,2)+A(2,1))*x.*y + A(2,2)*y.^2) - (x*b(1) + y*b(2));


%Phi = 0.5*v'*(A'*A)*v - v'*(A'*b=;
% for 2D write explicitely
B = A'*A;

Phi1 = 0.5*(B(1,1)*x.^2 + (B(1,2)+B(2,1))*x.*y + B(2,2)*y.^2);
Ab = A*b;
Phi2 = Ab(1)*x + Ab(2)*y;

Phi = Phi1 - Phi2;
